|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.eviware.soapui.impl.wsdl.panels.teststeps.amf.SoapUIAMFConnection
public class SoapUIAMFConnection
AMFConnection derivate using HttpClient instead of UrlConnection
| Constructor Summary | |
|---|---|
SoapUIAMFConnection()
Creates a default AMF connection instance. |
|
| Method Summary | |
|---|---|
void |
addAmfHeader(java.lang.String name,
boolean mustUnderstand,
java.lang.Object data)
Adds an AMF packet-level header which is sent with every request for the life of this AMF connection. |
void |
addAmfHeader(java.lang.String name,
java.lang.Object data)
Add an AMF packet-level header with mustUnderstand=false, which is sent with every request for the life of this AMF connection. |
void |
addHttpRequestHeader(java.lang.String name,
java.lang.String value)
Adds a Http request header to the underlying connection. |
java.lang.Object |
call(PropertyExpansionContext context,
java.lang.String command,
java.lang.Object... arguments)
Makes an AMF request to the server. |
void |
close()
Closes the underlying URL connection, sets the url to null, and clears the cookies. |
void |
connect(java.lang.String url)
Connects to the URL provided. |
protected flex.messaging.io.amf.client.exceptions.ServerStatusException.HttpResponseInfo |
generateHttpResponseInfo()
Generates the HTTP response info for the server status exception. |
int |
getObjectEncoding()
|
protected java.lang.String |
getResponseURI()
Generates and returns the response URI. |
java.lang.String |
getUrl()
|
protected void |
internalConnect()
An internal method that sets up the underlying URL connection. |
protected java.lang.Object |
processAmfBody(java.util.ArrayList<flex.messaging.io.amf.MessageBody> messages)
Processes the AMF body. |
protected void |
processAmfHeaders(java.util.ArrayList<flex.messaging.io.amf.MessageHeader> headers)
Processes the AMF headers by dispatching them to an AMF header processor, if one exists. |
protected java.lang.Object |
processAmfPacket(flex.messaging.io.amf.ActionMessage packet)
Processes the AMF packet. |
protected java.lang.Object |
processHttpResponse(java.io.InputStream inputStream)
Processes the HTTP response headers and body. |
protected java.lang.Object |
processHttpResponseBody(java.io.InputStream inputStream)
Processes the HTTP response body. |
static void |
registerAlias(java.lang.String alias,
java.lang.String className)
Registers a custom alias for a class name bidirectionally. |
void |
removeAllAmfHeaders()
Removes all AMF headers. |
void |
removeAllHttpRequestHeaders()
Removes all Http request headers. |
boolean |
removeAmfHeader(java.lang.String name)
Removes any AMF headers found with the name given. |
boolean |
removeHttpRequestHeader(java.lang.String name)
Removes the Http header found with the name given. |
protected java.lang.Object |
send(java.io.ByteArrayOutputStream outBuffer)
Writes the output buffer and processes the HTTP response. |
protected void |
setHttpRequestHeaders()
Sets the Http request headers, including the cookie headers. |
void |
setObjectEncoding(int objectEncoding)
|
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public SoapUIAMFConnection()
| Method Detail |
|---|
public int getObjectEncoding()
public void setObjectEncoding(int objectEncoding)
public java.lang.String getUrl()
public void addAmfHeader(java.lang.String name,
boolean mustUnderstand,
java.lang.Object data)
name - The name of the header.mustUnderstand - Whether the header must be processed or not.data - The value of the header.
public void addAmfHeader(java.lang.String name,
java.lang.Object data)
name - The name of the header.data - The value of the header.public boolean removeAmfHeader(java.lang.String name)
name - The name of the header(s) to remove.
public void removeAllAmfHeaders()
public void addHttpRequestHeader(java.lang.String name,
java.lang.String value)
name - The name of the Http header.value - The value of the Http header.public boolean removeHttpRequestHeader(java.lang.String name)
name - The name of the Http header.
public void removeAllHttpRequestHeaders()
public java.lang.Object call(PropertyExpansionContext context,
java.lang.String command,
java.lang.Object... arguments)
throws flex.messaging.io.amf.client.exceptions.ClientStatusException,
flex.messaging.io.amf.client.exceptions.ServerStatusException
command - The method to call on the server.arguments - Arguments for the method.
flex.messaging.io.amf.client.exceptions.ClientStatusException - If there is a client side exception.
flex.messaging.io.amf.client.exceptions.ServerStatusException - If there is a server side exception.public void close()
public void connect(java.lang.String url)
throws flex.messaging.io.amf.client.exceptions.ClientStatusException
url - The url to connect to.
flex.messaging.io.amf.client.exceptions.ClientStatusException - If there is a client side exception.protected flex.messaging.io.amf.client.exceptions.ServerStatusException.HttpResponseInfo generateHttpResponseInfo()
protected java.lang.String getResponseURI()
protected void internalConnect()
throws java.io.IOException
java.io.IOException - If an exception is encountered during URL connection setup.
protected java.lang.Object processHttpResponse(java.io.InputStream inputStream)
throws java.lang.ClassNotFoundException,
java.io.IOException,
flex.messaging.io.amf.client.exceptions.ClientStatusException,
flex.messaging.io.amf.client.exceptions.ServerStatusException
java.lang.ClassNotFoundException
java.io.IOException
flex.messaging.io.amf.client.exceptions.ClientStatusException
flex.messaging.io.amf.client.exceptions.ServerStatusException
protected java.lang.Object processHttpResponseBody(java.io.InputStream inputStream)
throws java.lang.ClassNotFoundException,
java.io.IOException,
flex.messaging.io.amf.client.exceptions.ClientStatusException,
flex.messaging.io.amf.client.exceptions.ServerStatusException
java.lang.ClassNotFoundException
java.io.IOException
flex.messaging.io.amf.client.exceptions.ClientStatusException
flex.messaging.io.amf.client.exceptions.ServerStatusException
protected java.lang.Object processAmfPacket(flex.messaging.io.amf.ActionMessage packet)
throws flex.messaging.io.amf.client.exceptions.ClientStatusException,
flex.messaging.io.amf.client.exceptions.ServerStatusException
flex.messaging.io.amf.client.exceptions.ClientStatusException
flex.messaging.io.amf.client.exceptions.ServerStatusException
protected void processAmfHeaders(java.util.ArrayList<flex.messaging.io.amf.MessageHeader> headers)
throws flex.messaging.io.amf.client.exceptions.ClientStatusException
flex.messaging.io.amf.client.exceptions.ClientStatusException
protected java.lang.Object processAmfBody(java.util.ArrayList<flex.messaging.io.amf.MessageBody> messages)
throws flex.messaging.io.amf.client.exceptions.ServerStatusException
flex.messaging.io.amf.client.exceptions.ServerStatusException
protected java.lang.Object send(java.io.ByteArrayOutputStream outBuffer)
throws java.lang.ClassNotFoundException,
java.io.IOException,
flex.messaging.io.amf.client.exceptions.ClientStatusException,
flex.messaging.io.amf.client.exceptions.ServerStatusException
java.lang.ClassNotFoundException
java.io.IOException
flex.messaging.io.amf.client.exceptions.ClientStatusException
flex.messaging.io.amf.client.exceptions.ServerStatusExceptionprotected void setHttpRequestHeaders()
public static void registerAlias(java.lang.String alias,
java.lang.String className)
alias - The alias for the class name.className - The concrete class name.
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||